Bug 1786953 - Review Request: python-aiounittest - Test asyncio code more easily
Summary: Review Request: python-aiounittest - Test asyncio code more easily
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-aiosqlite
TreeView+ depends on / blocked
 
Reported: 2019-12-29 21:26 UTC by Fabian Affolter
Modified: 2020-02-15 00:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-08 01:38:22 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-12-29 21:26:26 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiounittest.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiounittest-1.3.1-1.fc31.src.rpm

Project URL: https://github.com/kwarunek/aiounittest

Description:
The aiounittest is a helper library to ease of your pain (and boilerplate),
when writing a test of the asynchronous code (:code:asyncio). You can test:

- synchronous code (same as the :code:unittest.TestCase)
- asynchronous code, it supports syntax with async/await (Python 3.5+) and
  asyncio.coroutine/yield from (Python 3.4)

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=39978122

rpmlint output:
$ rpmlint python-aiounittest-1.3.1-1.fc31.src.rpm
python-aiounittest.src: W: spelling-error Summary(en_US) asyncio -> syncopation
python-aiounittest.src: W: spelling-error %description -l en_US asyncio -> syncopation
python-aiounittest.src: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-aiounittest.src: W: spelling-error %description -l en_US TestCase -> Test Case, Test-Case, Test-case
python-aiounittest.src: W: spelling-error %description -l en_US async -> sync, a sync
python-aiounittest.src: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpmlint python3-aiounittest-1.3.1-1.fc31.noarch.rpm 
python3-aiounittest.noarch: W: spelling-error Summary(en_US) asyncio -> syncopation
python3-aiounittest.noarch: W: spelling-error %description -l en_US asyncio -> syncopation
python3-aiounittest.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python3-aiounittest.noarch: W: spelling-error %description -l en_US TestCase -> Test Case, Test-Case, Test-case
python3-aiounittest.noarch: W: spelling-error %description -l en_US async -> sync, a sync
python3-aiounittest.noarch: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
python3-aiounittest.noarch: E: zero-length /usr/lib/python3.7/site-packages/aiounittest/py.typed
1 packages and 0 specfiles checked; 1 errors, 6 warnings.

Fedora Account System Username: fab

Comment 1 Elliott Sales de Andrade 2020-01-06 01:55:29 UTC
Description has a few typos; it should read:

The aiounittest is a helper library to ease your pain (and boilerplate),
when writing tests of asynchronous code (:code:asyncio). You can test:
...

Please fix on import.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 25 files have unknown
     license. Detailed output of licensecheck in
     1786953-python-aiounittest/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-aiounittest-1.3.1-1.fc32.noarch.rpm
          python-aiounittest-1.3.1-1.fc32.src.rpm
python3-aiounittest.noarch: W: spelling-error Summary(en_US) asyncio -> syncopation
python3-aiounittest.noarch: W: spelling-error %description -l en_US asyncio -> syncopation
python3-aiounittest.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python3-aiounittest.noarch: W: spelling-error %description -l en_US TestCase -> Test Case, Test-Case, Test-case
python3-aiounittest.noarch: W: spelling-error %description -l en_US async -> sync, a sync
python3-aiounittest.noarch: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
python3-aiounittest.noarch: E: zero-length /usr/lib/python3.8/site-packages/aiounittest/py.typed
python-aiounittest.src: W: spelling-error Summary(en_US) asyncio -> syncopation
python-aiounittest.src: W: spelling-error %description -l en_US asyncio -> syncopation
python-aiounittest.src: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python-aiounittest.src: W: spelling-error %description -l en_US TestCase -> Test Case, Test-Case, Test-case
python-aiounittest.src: W: spelling-error %description -l en_US async -> sync, a sync
python-aiounittest.src: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
2 packages and 0 specfiles checked; 1 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
python3-aiounittest.noarch: W: spelling-error Summary(en_US) asyncio -> syncopation
python3-aiounittest.noarch: W: spelling-error %description -l en_US asyncio -> syncopation
python3-aiounittest.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
python3-aiounittest.noarch: W: spelling-error %description -l en_US TestCase -> Test Case, Test-Case, Test-case
python3-aiounittest.noarch: W: spelling-error %description -l en_US async -> sync, a sync
python3-aiounittest.noarch: W: spelling-error %description -l en_US coroutine -> co routine, co-routine, routine
python3-aiounittest.noarch: W: invalid-url URL: https://github.com/kwarunek/aiounittest <urlopen error [Errno -2] Name or service not known>
python3-aiounittest.noarch: E: zero-length /usr/lib/python3.8/site-packages/aiounittest/py.typed
1 packages and 0 specfiles checked; 1 errors, 7 warnings.



Source checksums
----------------
https://github.com/kwarunek/aiounittest/archive/1.3.1/aiounittest-1.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 74f9f33f549b6e902a91668aae61c3785d52b1190aa401195a2b60ba53c56540
  CHECKSUM(SHA256) upstream package : 74f9f33f549b6e902a91668aae61c3785d52b1190aa401195a2b60ba53c56540


Requires
--------
python3-aiounittest (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-aiounittest:
    python-aiounittest
    python3-aiounittest
    python3.8dist(aiounittest)
    python3dist(aiounittest)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1786953 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: SugarActivity, Java, fonts, Perl, R, C/C++, Ocaml, PHP, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Fabian Affolter 2020-01-06 20:12:56 UTC
Thanks for the review.

* Mon Jan 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.1-2
- Fix description (rhbz#1786953)

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiounittest.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiounittest-1.3.1-2.fc31.src.rpm

Comment 3 Fabian Affolter 2020-01-25 20:13:53 UTC
Elliott, could you please take a look again?

Comment 4 Elliott Sales de Andrade 2020-01-28 18:30:45 UTC
Apologies, I thought I had already approved, but toggled the bit incorrectly.

Comment 5 Gwyn Ciesla 2020-01-29 14:00:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-aiounittest

Comment 6 Fedora Update System 2020-01-30 07:54:26 UTC
FEDORA-2020-d7ffa4f396 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d7ffa4f396

Comment 7 Fedora Update System 2020-01-30 08:11:33 UTC
FEDORA-EPEL-2020-0b5af99286 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0b5af99286

Comment 8 Fedora Update System 2020-01-31 01:30:17 UTC
python-aiounittest-1.3.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d7ffa4f396

Comment 9 Fedora Update System 2020-01-31 02:05:06 UTC
python-aiounittest-1.3.1-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0b5af99286

Comment 10 Fedora Update System 2020-01-31 02:26:04 UTC
python-aiounittest-1.3.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0aa9800efa

Comment 11 Fedora Update System 2020-02-08 01:38:22 UTC
python-aiounittest-1.3.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-02-08 02:01:43 UTC
python-aiounittest-1.3.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-02-15 00:16:00 UTC
python-aiounittest-1.3.1-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.